"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const xml_relationship_helper_1 = require("../helper/xml-relationship-helper");
class HasShapes {
    constructor() {
        /**
         * List of unsupported tags in slide xml
         * @internal
         */
        this.unsupportedTags = [
            'p:custDataLst',
            // 'mc:AlternateContent',
            //'a14:imgProps',
        ];
    }
    checkIntegrity() {
        return __awaiter(this, void 0, void 0, function* () {
            const params = this.targetTemplate.automizer.params;
            const info = params.showIntegrityInfo;
            const assert = params.assertRelatedContents;
            if (info || assert) {
                const masterRels = yield new xml_relationship_helper_1.XmlRelationshipHelper().initialize(this.targetArchive, `${this.targetType}${this.targetNumber}.xml.rels`, `ppt/${this.targetType}s/_rels`);
                yield masterRels.assertRelatedContent(this.sourceArchive, info, assert);
            }
        });
    }
}
exports.default = HasShapes;
//# sourceMappingURL=has-shapes.js.map